import os, sys, json, datetime

from edgedb import *


with open('test.jpeg', 'rb') as imagefile:
	image = imagefile.read()

rect = [0.111545, 0.653143, 0.177951, 0.673143]


titledata = {
	"postnamegd": "TEST POST # 000011",
	"moment": datetime.datetime.now().isoformat(),
	"speedext": "10(70)"
}

e = EimageProcessor()

body = e.make(image, rect, 'body', {}, [], lang='en', nodata=True)

res = e.make(image, None, 'stampedframe', titledata, [rect, body['outerframe']], lang='en')


with open("stampedframe.jpeg","wb") as imagefile:
	imagefile.write(res['data'])

with open("stampedframe.json","wt") as metafile:
	json.dump({k: v for k, v in res.iteritems() if not k == 'data'},metafile,indent=4)


