CREATE OR REPLACE VIEW core.v_listopt AS 
 SELECT o.section,
    o.key,
    o.value,
    o."default",
    o.type,
    o."group",
    o.weight,
    s.lang,
    s.value AS name
   FROM core.opt o
     JOIN public.stringtable s ON s.section::text = 'opt'::text AND s.key::text = ((o.section::text || '.'::text) || o.key::text);
