
delete from public.estimations where name = 'doclass';
insert into public.estimations (name, pattern, value) values
    ('doclass','{"type":["~","^spot-speed"]}','overspeed'),
    ('doclass','{"type":["~","^section-speed"]}','overspeed'),
    ('doclass','{"type":["~","^overspeed"]}','overspeed'),
    ('doclass','{"type":["~","^speed"]}','overspeed'),
    ('doclass','{"type":["~","^red-light"]}','controlviolation'),
    ('doclass','{"type":["~","^wrong-way"]}','controlviolation'),
    ('doclass','{"type":["~","^bus-lane"]}','stopviolation'),
    ('doclass','{"type":["~","^parking"]}','stopviolation'),
    ('doclass','{"type":["~","^wanted"]}','wanted'),
    ('doclass','{"type":["~","^watchlist"]}','wanted'),
    ('doclass','{"type":["~","^hazard"]}','hazard'),
    ('doclass','{"type":["~","^person-transit"]}','person'),
    ('doclass','{"type":["~","^person-wanted"]}','wanted')
;

delete from public.estimations where name = 'speedlimit';
insert into public.estimations (name, pattern, value) values
     ('speedlimit','{"lane":["==","0"],"time":[">","07:00:00"],"time":["<","22:00:00"]}','60')
    ,('speedlimit','{"lane":["==","0"]}','80')
    ,('maxoverspeed','{}','20')
;    

delete from public.estimations where name = 'duptimeout';
insert into public.estimations (name, pattern, value) values
     ('duptimeout','{"type":["~","^spot-speed"]}','60')
    ,('duptimeout','{"type":["~","^bus-lane"]}','300')
;    

delete from public.estimations where name = 'eventkeys';
insert into public.estimations (name, pattern, value) values
     ('eventkeys','{"key":["==","type"]}','doctype')
    ,('eventkeys','{"key":["==","time"]}','ctime::time')
;    

