-- update script for X.X core patch XXXX


-- EXCLUSIVE PATCH FOR core.version REFACTORING. DO NOT DUPLICATE. USE TEMPLATE!

do language plpgsql
$_$
declare 
mymajor integer := 2;
myminor integer := 0;
mytiny  integer := 0;
mypatch integer := 6;
myrev   bigint  := 201604291700;
lastpatch integer;

frommajor 	integer := null;
fromminor	integer	:= null;
fromrelease	integer	:= null;

tomajor 	integer	:= 2;
tominor		integer	:= 2;
torelease	integer	:= 6;

begin

if not exists (select * from information_schema.columns where table_schema = 'core' and table_name = 'version' and column_name = 'patch') then return; end if;

mymajor := 2; myminor := 0; mytiny := 0; mypatch := 6;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

drop rule if exists r_delete_mediastore_meta on public.plate_mediastore;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'vehicle_length') then
ALTER TABLE public.platear ADD COLUMN vehicle_length integer NOT NULL DEFAULT (-1);
end if;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'lane') then
	ALTER TABLE public.platear ADD COLUMN lane integer NOT NULL DEFAULT 0;
	COMMENT ON COLUMN public.platear.lane  IS 'Number of vehicle lanes';
end if;  
drop function if exists api_post_delete(uuid);
drop function if exists api_channel_delete(uuid, integer, character varying);
drop function if exists api_plate_mediastore_delete(uuid, integer, character varying);


	update core.version set tiny = patch;
	alter table core.version rename column tiny to release;
	update core.version set patch = 0;
	alter table core.version rename column patch to rc;
	alter table core.version rename column revision to rev;
	alter table core.version drop column memo;
	alter table core.version add build integer default 0;
	alter table core.version add revision varchar;
	update core.version set revision = rev::varchar;
	update core.version set build = 0;
	alter table core.version drop column rev;
	alter table core.version add memo text;
 

	create or replace function lib.intversion( integer, integer, integer ) returns bigint as $$
		select	$1::bigint * 100000000 + $2::bigint * 10000 + $3::bigint;
	$$ language sql;


-- END PATCH

	insert into core.version (module,major,minor,release,revision) values('core',tomajor,tominor,torelease,myrev::varchar);
	return;
end if;


mymajor := 2; myminor := 1; mytiny := 0; mypatch := 5;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

drop rule if exists r_delete_mediastore_meta on public.plate_mediastore;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'vehicle_length') then
ALTER TABLE public.platear ADD COLUMN vehicle_length integer NOT NULL DEFAULT (-1);
end if;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'lane') then
	ALTER TABLE public.platear ADD COLUMN lane integer NOT NULL DEFAULT 0;
	COMMENT ON COLUMN public.platear.lane  IS 'Number of vehicle lanes';
end if;  
drop function if exists api_post_delete(uuid);
drop function if exists api_channel_delete(uuid, integer, character varying);
drop function if exists api_plate_mediastore_delete(uuid, integer, character varying);

	update core.version set tiny = patch;
	alter table core.version rename column tiny to release;
	update core.version set patch = 0;
	alter table core.version rename column patch to rc;
	alter table core.version rename column revision to rev;
	alter table core.version drop column memo;
	alter table core.version add build integer default 0;
	alter table core.version add revision varchar;
	update core.version set revision = rev::varchar;
	update core.version set build = 0;
	alter table core.version drop column rev;
	alter table core.version add memo text;
  
	create or replace function lib.intversion( integer, integer, integer ) returns bigint as $$
		select	$1::bigint * 100000000 + $2::bigint * 10000 + $3::bigint;
	$$ language sql;

-- END PATCH

	insert into core.version (module,major,minor,release,revision) values('core',tomajor,tominor,torelease,myrev::varchar);
	return;
end if;

mymajor := 2; myminor := 2; mytiny := 0; mypatch := 6;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

drop rule if exists r_delete_mediastore_meta on public.plate_mediastore;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'vehicle_length') then
ALTER TABLE public.platear ADD COLUMN vehicle_length integer NOT NULL DEFAULT (-1);
end if;
if not exists (select 1 from information_schema.columns where table_schema = 'public' and table_name = 'platear' and column_name = 'lane') then
	ALTER TABLE public.platear ADD COLUMN lane integer NOT NULL DEFAULT 0;
	COMMENT ON COLUMN public.platear.lane  IS 'Number of vehicle lanes';
end if;  
drop function if exists api_post_delete(uuid);
drop function if exists api_channel_delete(uuid, integer, character varying);
drop function if exists api_plate_mediastore_delete(uuid, integer, character varying);

	update core.version set tiny = patch;
	alter table core.version rename column tiny to release;
	update core.version set patch = 0;
	alter table core.version rename column patch to rc;
	alter table core.version rename column revision to rev;
	alter table core.version drop column memo;
	alter table core.version add build integer default 0;
	alter table core.version add revision varchar;
	update core.version set revision = rev::varchar;
	update core.version set build = 0;
	alter table core.version drop column rev;
	alter table core.version add memo text;
	
	create or replace function lib.intversion( integer, integer, integer ) returns bigint as $$
		select	$1::bigint * 100000000 + $2::bigint * 10000 + $3::bigint;
	$$ language sql;
  
-- END PATCH

	insert into core.version (module,major,minor,release,revision) values('core',tomajor,tominor,torelease,myrev::varchar);
	return;
end if;


end;
$_$;







