start transaction;

\cd :_DIR

\i vars.psql
\i globals.psql

set local.module = :_MODULE
set local.overmodule = :_OVER


do language plpgsql $$
declare
DBNAME varchar(128);
DBUSER varchar(128);
DBPASS varchar(128);
str text;
begin
	
	DBNAME := current_setting('local.dbname');
	DBUSER := current_setting('local.dbuser');
	DBPASS := current_setting('local.dbpass');

	if ( current_setting('local.passport') = '%%PASSPORT%%' ) then
		set local.passport 	= '';
	end if;
	
	if not exists (select 1 from pg_database where datname = DBNAME) then
		raise exception 'EI> database doesn`t exists: %', DBNAME
		return;
	end if;

	if not exists (select 1 from pg_roles where rolname = DBUSER) then
		raise exception 'EI> role doesn`t exists: %', DBUSER
		return;
	end if;

end;
$$;

commit;

\c :_DBNAME :_DBUSER 

start transaction;

\i globals.psql
set local.module = :_MODULE 
set local.overmodule = :_OVER

\cd ./modules/:_MODULE

\i overtest.sql
\i uninstall.sql
\i install.sql

commit;





