CREATE or replace FUNCTION lib.plist_interval(istr text) RETURNS interval
    LANGUAGE plpgsql
    AS $$
declare
		ar text[];
begin
		ar := string_to_array(istr,':');
		return  (ar[1]||' month')::interval
		 +      (ar[2]||' day')::interval
		 +      (ar[3]||' hour')::interval
		 +      (ar[4]||' minute')::interval
		 +      (ar[5]||' seconds')::interval;
end;
$$;
