
delete from public.stringtable where section = 'captions';
insert into public.stringtable values 
	('captions','ru','kmh'  	,'км/ч'),
	('captions','ua','kmh'  	,'км/г'),
	('captions','en','kmh'  	,'km/h'),
	('captions','ge','kmh'  	,'კმ/სთ'),
	('captions','ru','dir.app'  	,'Приближается'),
	('captions','ua','dir.app'  	,'Наближується'),
	('captions','en','dir.app'  	,'Approaching'),
	('captions','ge','dir.app'  	,'ახლოვდება'),
	('captions','ru','dir.rec'  	,'Удаляется'),
	('captions','ua','dir.rec'  	,'Віддаляється'),
	('captions','en','dir.rec'  	,'Receeding'),
	('captions','ge','dir.rec'  	,'დათმობაში'),
	('captions','ru','dir.unk'  	,'Неизвестно'),
	('captions','ua','dir.unk'  	,'Невідомо'),
	('captions','en','dir.unk'  	,'Unknown'),
	('captions','ge','dir.unk'  	,'უცნობი')
;	

delete from public.stringtable where section = 'rhumb';
insert into public.stringtable values 
	('rhumb','ru','0','n/a'),
	('rhumb','ua','0','n/a'),
	('rhumb','en','0','n/a'),
	('rhumb','ge','0','n/a'),
	
	('rhumb','ru','1','север'),
	('rhumb','ua','1','північ'),
	('rhumb','en','1','north'),
	('rhumb','ge','1','ჩრდილოეთით'),
	
	('rhumb','ru','2','северо-восток'),
	('rhumb','ua','2','північний схід'),
	('rhumb','en','2','northeast'),
	('rhumb','ge','2','ჩრდილო აღმოსავლეთი'),
	
	('rhumb','ru','3','восток'),
	('rhumb','ua','3','схід'),
	('rhumb','en','3','east'),
	('rhumb','ge','3','აღმოსავლეთ'),
	
	('rhumb','ru','4','юго-восток'),
	('rhumb','ua','4','південний схід'),
	('rhumb','en','4','southeast'),
	('rhumb','ge','4','სამხრეთ აღმოსავლეთ'),
	
	('rhumb','ru','5','юг'),
	('rhumb','ua','5','південь'),
	('rhumb','en','5','south'),
	('rhumb','ge','5','სამხრეთ'),
	
	('rhumb','ru','6','юго-запад'),
	('rhumb','ua','6','південний захід'),
	('rhumb','en','6','southwest'),
	('rhumb','ge','6','სამხრეთ-დასავლეთ'),
	
	('rhumb','ru','7','запад'),
	('rhumb','ua','7','захід'),
	('rhumb','en','7','west'),
	('rhumb','ge','7','დასავლეთი'),
	
	('rhumb','ru','8','северо-запад'),
	('rhumb','ua','8','північний захід'),
	('rhumb','en','8','northwest'),
	('rhumb','ge','8','ჩრდილო-დასავლეთი')
;	

delete from public.stringtable where section = 'date.month.genitive';
insert into public.stringtable values 
	('date.month.genitive', 'ua', '1', 'січня'),
	('date.month.genitive', 'ua', '2', 'лютого'),
	('date.month.genitive', 'ua', '3', 'березня'),
	('date.month.genitive', 'ua', '4', 'квітня'),
	('date.month.genitive', 'ua', '5', 'травня'),
	('date.month.genitive', 'ua', '6', 'червня'),
	('date.month.genitive', 'ua', '7', 'липня'),
	('date.month.genitive', 'ua', '8', 'серпня'),
	('date.month.genitive', 'ua', '9', 'вересня'),
	('date.month.genitive', 'ua', '10', 'жовтня'),
	('date.month.genitive', 'ua', '11', 'листопада'),
	('date.month.genitive', 'ua', '12', 'грудня'),
	('date.month.genitive', 'ru', '1', 'января'),
	('date.month.genitive', 'ru', '2', 'февраля'),
	('date.month.genitive', 'ru', '3', 'марта'),
	('date.month.genitive', 'ru', '4', 'апреля'),
	('date.month.genitive', 'ru', '5', 'мая'),
	('date.month.genitive', 'ru', '6', 'июня'),
	('date.month.genitive', 'ru', '7', 'июля'),
	('date.month.genitive', 'ru', '8', 'августа'),
	('date.month.genitive', 'ru', '9', 'сентября'),
	('date.month.genitive', 'ru', '10', 'октября'),
	('date.month.genitive', 'ru', '11', 'ноября'),
	('date.month.genitive', 'ru', '12', 'декабря'),
	('date.month.genitive', 'en', '1', 'January'),
	('date.month.genitive', 'en', '2', 'February'),
	('date.month.genitive', 'en', '3', 'March'),
	('date.month.genitive', 'en', '4', 'April'),
	('date.month.genitive', 'en', '5', 'May'),
	('date.month.genitive', 'en', '6', 'June'),
	('date.month.genitive', 'en', '7', 'July'),
	('date.month.genitive', 'en', '8', 'August'),
	('date.month.genitive', 'en', '9', 'September'),
	('date.month.genitive', 'en', '10', 'October'),
	('date.month.genitive', 'en', '11', 'November'),
	('date.month.genitive', 'en', '12', 'December'),
	('date.month.genitive', 'ge', '1', 'იანვარი'),
	('date.month.genitive', 'ge', '2', 'თებერვალი'),
	('date.month.genitive', 'ge', '3', 'მარტი'),
	('date.month.genitive', 'ge', '4', 'აპრილი'),
	('date.month.genitive', 'ge', '5', ' მაისი'),
	('date.month.genitive', 'ge', '6', 'ივნისი'),
	('date.month.genitive', 'ge', '7', 'ივლისი'),
	('date.month.genitive', 'ge', '8', 'აგვისტო'),
	('date.month.genitive', 'ge', '9', 'სექტემბერი'),
	('date.month.genitive', 'ge', '10', 'ოქტომბერი'),
	('date.month.genitive', 'ge', '11', 'ნოემბერი'),
	('date.month.genitive', 'ge', '12', 'დეკემბერი')
;

delete from public.stringtable where section = 'optgroup';
insert into public.stringtable values 
	('optgroup','ru','maintenance'  	,'Обслуживание БД'),
	('optgroup','en','maintenance' 		,'Maintenance of the database'),
	('optgroup','ru','parking'          ,'Парковка'),
	('optgroup','en','parking'         	,'Parking'),
	('optgroup','ru','platear'          ,'Настройки распознавателя'),
	('optgroup','en','platear'          ,'Recognition settings'),
	('optgroup','ru','rectification'    ,'Дораспознавание'),
	('optgroup','en','rectification'   	,'Additional recognition'),
	('optgroup','ru','replication'      ,'Репликация'),
	('optgroup','en','replication'     	,'Replication')
;

delete from public.stringtable where section = 'opt' and key ~ '^public.platear_';
insert into public.stringtable values 
	('opt', 'ru', 'public.platear_check_group'                    , 'Проверять розыскные группы'),
	('opt', 'en', 'public.platear_check_group'                    , 'Alarm checklist'),
	('opt', 'ru', 'public.platear_check_watchlist'                , 'Проверять розыскные списки'),
	('opt', 'en', 'public.platear_check_watchlist'                , 'Alarm watch lists'),
	('opt', 'ru', 'public.platear_check_speedlimit'               , 'Проверять превышение скорости'),
	('opt', 'en', 'public.platear_check_speedlimit'               , 'Alarm speed violation'),
	('opt', 'ru', 'public.platear_common_speedlimit'              , 'Общее превышение скорости'),
	('opt', 'en', 'public.platear_common_speedlimit'              , 'Default speed limit'),
	('opt', 'ru', 'public.platear_crop_body_height'               , 'Изображение автомобиля: высота'),
	('opt', 'en', 'public.platear_crop_body_height'               , 'Auto face: height'),
	('opt', 'ru', 'public.platear_crop_body_margin_bottom_h'      , 'Изображение автомобиля: нижнее поле от высоты'),
	('opt', 'en', 'public.platear_crop_body_margin_bottom_h'      , 'Auto face: bottom border to height'),
	('opt', 'ru', 'public.platear_crop_body_margin_bottom_w'      , 'Изображение автомобиля: нижнее поле от ширины'),
	('opt', 'en', 'public.platear_crop_body_margin_bottom_w'      , 'Auto face: bottom border to width'),
	('opt', 'ru', 'public.platear_crop_body_margin_left_h'        , 'Изображение автомобиля: левое поле от высоты'),
	('opt', 'en', 'public.platear_crop_body_margin_left_h'        , 'Auto face: left border to height'),
	('opt', 'ru', 'public.platear_crop_body_margin_left_w'        , 'Изображение автомобиля: левое поле от ширины'),
	('opt', 'en', 'public.platear_crop_body_margin_left_w'        , 'Auto face: left border to width'),
	('opt', 'ru', 'public.platear_crop_body_margin_right_h'       , 'Изображение автомобиля: правое поле  высоты'),
	('opt', 'en', 'public.platear_crop_body_margin_right_h'       , 'Auto face: right border to height'),
	('opt', 'ru', 'public.platear_crop_body_margin_right_w'       , 'Изображение автомобиля: правое поле от ширины'),
	('opt', 'en', 'public.platear_crop_body_margin_right_w'       , 'Auto face: right border to width'),
	('opt', 'ru', 'public.platear_crop_body_margin_top_h'         , 'Изображение автомобиля: верхнее поле от высоты'),
	('opt', 'en', 'public.platear_crop_body_margin_top_h'         , 'Auto face: top border to height'),
	('opt', 'ru', 'public.platear_crop_body_margin_top_w'         , 'Изображение автомобиля: верхнее поле от ширины'),
	('opt', 'en', 'public.platear_crop_body_margin_top_w'         , 'Auto face: top border to width'),
	('opt', 'ru', 'public.platear_crop_body_width'                , 'Изображение автомобиля: ширина'),
	('opt', 'en', 'public.platear_crop_body_width'                , 'Auto face: width'),
	('opt', 'ru', 'public.platear_crop_plate_height'              , 'Изображение номера: высота'),
	('opt', 'en', 'public.platear_crop_plate_height'              , 'Auto plate: height'),
	('opt', 'ru', 'public.platear_crop_plate_width'               , 'Изображение номера: ширина'),
	('opt', 'en', 'public.platear_crop_plate_width'               , 'Auto plate: width'),
	('opt', 'ru', 'public.platear_damper_number_distance'         , 'Демпфер: Допустимое расстояние между номерами по Левенштейну'),
	('opt', 'en', 'public.platear_damper_number_distance'         , 'Damper: Levenshtein distance'),
	('opt', 'ru', 'public.platear_damper_number_timeout'          , 'Демпфер: Окно демпфера по номерам'),
	('opt', 'en', 'public.platear_damper_number_timeout'          , 'Damper: Time window for number damper'),
	('opt', 'ru', 'public.platear_damper_position_deviation_limit', 'Демпфер: Допустимое отклонение центра пластины номера от среднего в сигмах'),
	('opt', 'en', 'public.platear_damper_position_deviation_limit', 'Damper: Distance deviation from the middle (in sigmas)'),
	('opt', 'ru', 'public.platear_damper_position_distance'       , 'Демпфер: Допустимое расстояние между центрами пластин в ширинах номера'),
	('opt', 'en', 'public.platear_damper_position_distance'       , 'Damper: Distance between plates to plate width'),
	('opt', 'ru', 'public.platear_damper_position_timeout'        , 'Демпфер: Окно демпфера по положениям номера'),
	('opt', 'en', 'public.platear_damper_position_timeout'        , 'Damper: Time window for plate position damper'),
	('opt', 'ru', 'public.platear_filter_frequency_limit'         , 'Фильтр: Максимальная относительная частота символа'),
	('opt', 'en', 'public.platear_filter_frequency_limit'         , 'Filter: Maximum relative character frequency'),
	('opt', 'ru', 'public.platear_filter_negative_template'       , 'Фильтр: Шаблоны, запрещенные к вставке (regexp)'),
	('opt', 'en', 'public.platear_filter_negative_template'       , 'Filter: Declined templates'),
	('opt', 'ru', 'public.platear_filter_on_insert'               , 'Фильтр при вставке'),
	('opt', 'en', 'public.platear_filter_on_insert'               , 'Filter on insert'),
	('opt', 'ru', 'public.platear_filter_on_rectification'        , 'Фильтр при перераспознавании'),
	('opt', 'en', 'public.platear_filter_on_rectification'        , 'Filter on verification'),
	('opt', 'ru', 'public.platear_filter_position_deviation_limit', 'Фильтр: Максимальное отклонение от среднего положения номера в сигмах'),
	('opt', 'en', 'public.platear_filter_position_deviation_limit', 'Filter: Maximum plate position deviation (in sigmas)'),
	('opt', 'ru', 'public.platear_filter_positive_template'       , 'Фильтр: Шаблоны, разрешенные к вставке (regexp)'),
	('opt', 'en', 'public.platear_filter_positive_template'       , 'Filter: Allowed templates (regex)'),
	('opt', 'ru', 'public.platear_filter_size_deviation_limit'    , 'Фильтр: Максимальное отклонение от средней ширины номера в сигмах'),
	('opt', 'en', 'public.platear_filter_size_deviation_limit'    , 'Filter: Maximum plate width deviation (in sigmas)'),
	('opt', 'ru', 'public.platear_filter_unistring_limit'         , 'Фильтр: Максимальная длина однородной подстроки'),
	('opt', 'en', 'public.platear_filter_unistring_limit'         , 'Filter: Maximum length of homogenous substring'),
	('opt', 'ru', 'public.platear_saveimg_as_is'                  , 'Экспорт изображения при поступлении'),
	('opt', 'en', 'public.platear_saveimg_as_is'                  , 'Export images on insert'),
	('opt', 'ru', 'public.platear_saveimg_crop_frame_osroi'       , 'Экспорт изображения: ROI обрезать'),
	('opt', 'en', 'public.platear_saveimg_crop_frame_osroi'       , 'Export images: ROI crop'),
	('opt', 'ru', 'public.platear_saveimg_crop_plate'             , 'Экспорт изображения: обрезать по номеру'),
	('opt', 'en', 'public.platear_saveimg_crop_plate'             , 'Export images: crop plate'),
	('opt', 'ru', 'public.platear_saveimg_crop_plate_margins'     , 'Экспорт изображения: поля обрезки номера'),
	('opt', 'en', 'public.platear_saveimg_crop_plate_margins'     , 'Export images: plate margins'),
	('opt', 'ru', 'public.platear_saveimg_crop_plate_sizes'       , 'Экспорт изображения: размеры обрезки номера'),
	('opt', 'en', 'public.platear_saveimg_crop_plate_sizes'       , 'Export images: plate sizes'),
	('opt', 'ru', 'public.platear_saveimg_frame_noplate'          , 'Экспорт изображения: полный кадр при отсутствии номера'),
	('opt', 'en', 'public.platear_saveimg_frame_noplate'          , 'Export images: full frame if no plate'),
	('opt', 'ru', 'public.platear_saveimg_invr_frame_osroi'       , 'Экспорт изображения: ROI инвертировать'),
	('opt', 'en', 'public.platear_saveimg_invr_frame_osroi'       , 'Export images: ROI invert'),
	('opt', 'ru', 'public.platear_saveimg_param'                  , 'Экспорт изображения: дополнительные параметры'),
	('opt', 'en', 'public.platear_saveimg_param'                  , 'Export images: extra options'),
	('opt', 'ru', 'public.platear_saveimg_path_frame'             , 'Экспорт изображения: шаблон пути для полных кадров'),
	('opt', 'en', 'public.platear_saveimg_path_frame'             , 'Export images: path template for frames'),
	('opt', 'ru', 'public.platear_saveimg_path_plate'             , 'Экспорт изображения: шаблон пути для номеров'),
	('opt', 'en', 'public.platear_saveimg_path_plate'             , 'Export images: path template for plates'),
	('opt', 'ru', 'public.platear_saveimg_slur_frame_osroi'       , 'Экспорт изображения: ROI вырезать'),
	('opt', 'en', 'public.platear_saveimg_slur_frame_osroi'       , 'Export images: ROI slur'),
	('opt', 'ru', 'public.platear_savemeta_as_is'                 , 'Экспорт метаданных при поступлении'),
	('opt', 'en', 'public.platear_savemeta_as_is'                 , 'Export LPR meta on insert'),
	('opt', 'ru', 'public.platear_savemeta_path'                  , 'Экспорт метаданных: шаблон пути'),
	('opt', 'en', 'public.platear_savemeta_path'                  , 'Export LPR meta: path template'),
	('opt', 'ru', 'public.platear_stat_maxpool'                   , 'Длина выборки для поканальной статистики'),
	('opt', 'en', 'public.platear_stat_maxpool'                   , 'Per-channel stats pool length'),
	('opt', 'ru', 'public.platear_stat_minpool'                   , 'Минимальная выборка для поканальной статистики'),
	('opt', 'en', 'public.platear_stat_minpool'                   , 'Per-channel stats minimal pool'),
	('opt', 'ru', 'public.platear_stat_pool_delta'                , 'Шаг выборки для поканальной статистики'),
	('opt', 'en', 'public.platear_stat_pool_delta'                , 'Per-channel stats pool step'),
	('opt', 'ru', 'public.platear_auto_media_key'                 , 'Назначить media_id = scrollid при вставке'),
	('opt', 'en', 'public.platear_auto_media_key'                 , 'Set media_id to scrollid'),
	('opt', 'ru', 'public.platear_except_unknown_post'            , 'Ошибка при вставке с неизвестным постом'),
	('opt', 'en', 'public.platear_except_unknown_post'            , 'Error if post does not exist'),
	('opt', 'ru', 'public.platear_except_unknown_channel'         , 'Ошибка при вставке с неизвестным каналом'),
	('opt', 'en', 'public.platear_except_unknown_channel'         , 'Error if channel does not exist')
;

delete from public.stringtable where section = 'tablespec' and key ~ '^public\.';
insert into public.stringtable values 
	('tablespec', 'ru', 'public.plate_mediastore'          	, 'Настройки хранилища изображений'),
	('tablespec', 'en', 'public.plate_mediastore'          	, 'Image store settings'),
	('tablespec', 'ru', 'public.plate_mediastore.post'     	, 'Пост'),
	('tablespec', 'en', 'public.plate_mediastore.post'     	, 'Post'),
	('tablespec', 'ru', 'public.plate_mediastore.channel'  	, 'Канал'),
	('tablespec', 'en', 'public.plate_mediastore.channel'  	, 'Channel'),
	('tablespec', 'ru', 'public.plate_mediastore.image'   	, 'Класс изображения'),
	('tablespec', 'en', 'public.plate_mediastore.image'	   	, 'Image class'),
	('tablespec', 'ru', 'public.plate_mediastore.store'    	, 'Хранилище'),
	('tablespec', 'en', 'public.plate_mediastore.store'    	, 'Storage'),
	('tablespec', 'ru', 'public.plate_mediastore.minage'   	, 'Мин. глубина хранения'),
	('tablespec', 'en', 'public.plate_mediastore.minage'   	, 'Min. storage depth'),
	('tablespec', 'ru', 'public.plate_mediastore.maxage'   	, 'Макс. глубина хранения'),
	('tablespec', 'en', 'public.plate_mediastore.maxage'   	, 'Max storage depth')
;

delete from public.stringtable where section = 'violations';
insert into public.stringtable values
	('violations', 'en', '_none','No violations'),
	('violations', 'en', '_any','Any violation'),
	('violations', 'en', 'speedviolation','Speed violation'),
	('violations', 'ru', '_none','Нет нарушений'),
	('violations', 'ru', '_any','Есть любое нарушение'),
	('violations', 'ru', 'speedviolation','Превышение скорости'),
	('violations', 'ua', '_none','Нема порушення'),
	('violations', 'ua', '_any','Будь-яке порушення'),
	('violations', 'ua', 'speedviolation','Перевищення швидкості')
;	


delete from public.stringtable where section = 'subtitle';
insert into public.stringtable values
	('subtitle','en','default.frame',
	'{
		"float": "bottom",
		"grid": (1,4),
		"font": { "size": 36 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,2,"","","moment"),
			(0,3,"","km/h","speedext"),
		)
	}'),
	('subtitle','ru','default.frame',
	'{
		"float": "bottom",
		"grid": (1,4),
		"font": { "size": 36 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,2,"","","moment"),
			(0,3,"","км/ч","speedext"),
		)
	}'),
	('subtitle','ua','default.frame',
	'{
		"float": "bottom",
		"grid": (1,4),
		"font": { "size": 36 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,2,"","","moment"),
			(0,3,"","км/год","speedext"),
		)
	}'),


	('subtitle','en','default.body',
	'{
		"float": "bottom",
		"grid": (1,10),
		"font": { "size": 12 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,5,"","","moment"),
			(0,8,"","km/h","speedext"),
		)
	}'),
	('subtitle','ru','default.body',
	'{
		"float": "bottom",
		"grid": (1,10),
		"font": { "size": 12 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,5,"","","moment"),
			(0,8,"","км/ч","speedext"),
		)
	}'),
	('subtitle','ua','default.body',
	'{
		"float": "bottom",
		"grid": (1,10),
		"font": { "size": 12 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,5,"","","moment"),
			(0,8,"","км/год","speedext"),
		)
	}'),


	('subtitle','en','template3.frame',
	'{
		"float": "bottom",
		"grid": (3,8),
		"font": { "size": 36 },
		"template": (
			(0,0,"","","channelparam[streetaddress]"),
			(0,4,"","","geodata"),
			(1,0,"","","postparam[serial]"),
			(1,4,"","","moment"),
			(2,0,"MAX SPD: "," km/h","speedlimit"),
			(2,2,"SPD: "," km/h","speedval"),
			(2,4,"","","direction"),
			(2,6,"LP:","","number"),
		)
	}'),
	('subtitle','en','template3.body',
	'{
		"float": "bottom",
		"grid": (3,8),
		"font": { "size": 12 },
		"template": (
			(0,0,"","","channelparam[streetaddress]"),
			(0,4,"","","geodata"),
			(1,0,"","","postparam[serial]"),
			(1,4,"","","moment"),
			(2,0,"MAX SPD: "," km/h","speedlimit"),
			(2,2,"SPD: "," km/h","speedval"),
			(2,4,"","","direction"),
			(2,6,"LP:","","number"),
		)
	}'),
    ('subtitle','ua','template4.body',
    '{
		"float": "bottom",
		"grid": (1,10),
		"font": { "size": 12 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,5,"","","moment"),
		)
	}'),
	('subtitle','ua','template4.frame',
    '{
		"float": "bottom",
		"grid": (1,4),
		"font": { "size": 36 },
		"template": (
			(0,0,"","","postnamegd"),
			(0,2,"","","moment"),
		)
	}')

;


